/*
 * Copyright 2017 Google
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// Make sure these codes do not overlap with any contained in the FIRAMessageCode enum.
typedef NS_ENUM(NSInteger, FIRNetworkMessageCode) {
  // FIRNetwork.m
  kFIRNetworkMessageCodeNetwork000 = 900000,  // I-NET900000
  kFIRNetworkMessageCodeNetwork001 = 900001,  // I-NET900001
  kFIRNetworkMessageCodeNetwork002 = 900002,  // I-NET900002
  kFIRNetworkMessageCodeNetwork003 = 900003,  // I-NET900003
  // FIRNetworkURLSession.m
  kFIRNetworkMessageCodeURLSession000 = 901000,  // I-NET901000
  kFIRNetworkMessageCodeURLSession001 = 901001,  // I-NET901001
  kFIRNetworkMessageCodeURLSession002 = 901002,  // I-NET901002
  kFIRNetworkMessageCodeURLSession003 = 901003,  // I-NET901003
  kFIRNetworkMessageCodeURLSession004 = 901004,  // I-NET901004
  kFIRNetworkMessageCodeURLSession005 = 901005,  // I-NET901005
  kFIRNetworkMessageCodeURLSession006 = 901006,  // I-NET901006
  kFIRNetworkMessageCodeURLSession007 = 901007,  // I-NET901007
  kFIRNetworkMessageCodeURLSession008 = 901008,  // I-NET901008
  kFIRNetworkMessageCodeURLSession009 = 901009,  // I-NET901009
  kFIRNetworkMessageCodeURLSession010 = 901010,  // I-NET901010
  kFIRNetworkMessageCodeURLSession011 = 901011,  // I-NET901011
  kFIRNetworkMessageCodeURLSession012 = 901012,  // I-NET901012
  kFIRNetworkMessageCodeURLSession013 = 901013,  // I-NET901013
  kFIRNetworkMessageCodeURLSession014 = 901014,  // I-NET901014
  kFIRNetworkMessageCodeURLSession015 = 901015,  // I-NET901015
  kFIRNetworkMessageCodeURLSession016 = 901016,  // I-NET901016
  kFIRNetworkMessageCodeURLSession017 = 901017,  // I-NET901017
  kFIRNetworkMessageCodeURLSession018 = 901018,  // I-NET901018
  // FIRReachabilityChecker.m
  kFIRNetworkMessageCodeReachabilityChecker000 = 902000,  // I-NET902000
  kFIRNetworkMessageCodeReachabilityChecker001 = 902001,  // I-NET902001
  kFIRNetworkMessageCodeReachabilityChecker002 = 902002,  // I-NET902002
  kFIRNetworkMessageCodeReachabilityChecker003 = 902003,  // I-NET902003
  kFIRNetworkMessageCodeReachabilityChecker004 = 902004,  // I-NET902004
  kFIRNetworkMessageCodeReachabilityChecker005 = 902005,  // I-NET902005
  kFIRNetworkMessageCodeReachabilityChecker006 = 902006,  // I-NET902006
};
